Package org.spongepowered.asm.mixin.injection

## Enum InjectionPoint.RestrictTargetLevel

- java.lang.Object
- - java.lang.Enum<InjectionPoint.RestrictTargetLevel>
  - - org.spongepowered.asm.mixin.injection.InjectionPoint.RestrictTargetLevel

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<InjectionPoint.RestrictTargetLevel>`

Enclosing class:
  InjectionPoint

    public static enum InjectionPoint.RestrictTargetLevel
    extends java.lang.Enum<InjectionPoint.RestrictTargetLevel>

Target restriction level for different injection point types when used by restricted injectors (eg. `Inject`).

### Enum Constant Summary

Enum Constants
`ALLOW_ALL` Injection point is valid for instructions in both methods and constructors, both before and after the delegate call
`CONSTRUCTORS_AFTER_DELEGATE` Injection point is valid for instructions in methods and in constructors but only after the delegate constructor call.
`METHODS_ONLY` Injection point is valid for instructions in methods only

### Method Summary

All Methods Static Methods Concrete Methods
`static InjectionPoint.RestrictTargetLevel` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static InjectionPoint.RestrictTargetLevel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### METHODS_ONLY

    public static final InjectionPoint.RestrictTargetLevel METHODS_ONLY

Injection point is valid for instructions in methods only

#### CONSTRUCTORS_AFTER_DELEGATE

    public static final InjectionPoint.RestrictTargetLevel CONSTRUCTORS_AFTER_DELEGATE

Injection point is valid for instructions in methods and in constructors but only after the delegate constructor call.

#### ALLOW_ALL

    public static final InjectionPoint.RestrictTargetLevel ALLOW_ALL

Injection point is valid for instructions in both methods and constructors, both before and after the delegate call

### Method Detail

#### values

    public static InjectionPoint.RestrictTargetLevel[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (InjectionPoint.RestrictTargetLevel c : InjectionPoint.RestrictTargetLevel.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static InjectionPoint.RestrictTargetLevel valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null